Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Highlighted
Contributor
Posts: 29
Registered: ‎12-07-2010
My Device: PlayBook
My Carrier: None

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Just change your name space in your app.xml file from:


http://ns.adobe.com/air/application/2.6


to


http://ns.adobe.com/air/application/2.7

 

/**********************************************************************/

Playbook apps:
LPlayer

Contributor
Posts: 42
Registered: ‎03-01-2011
My Device: Not Specified

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Thanks for the reply, now working fine!

 

 

Regular Contributor
Posts: 76
Registered: ‎04-19-2011
My Device: Bold 9700
My Carrier: Three Mobile

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

In Flash Builder 4.5.1, I can't seem to set 2.7 as a namespace - I get this issue:

 

Error occurred while packaging the application:

Packaging failed:1
C:\Users\XXXXX~1\AppData\Local\Temp\bar-app2650069556276521825.xml: error 102: Invalid namespace http://ns.adobe.com/air/application/2.7
Error: AIR validation failed

 

Initially, Flash Builder 4.5.1 complained that "Namespace 2.5.0 in the application descriptor file should be equal or higher than the minimum version 2.6.0 required by Flex SDK." - which is expected and valid.

 

If I set the namespace to 2.6 it works fine. Any thoughts? I've definitely installed SDK 1.1.0 and have updated my project references to use 1.1.0...

Contributor
Posts: 12
Registered: ‎01-12-2011
My Device: Playbook

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

You need to download AIR 2.7 SDK http://www.adobe.com/products/air/sdk/
Then overwrite files in your sdks/4.5.1 directory with the new files you downloaded. Just overwrite with the new files... don't replace the whole 4.5.1 directory or sub directories. I would make a copy of the 4.5.1 sdk directory first incase you want to fall back to 2.6 later or if you mess things up.
Regular Contributor
Posts: 76
Registered: ‎04-19-2011
My Device: Bold 9700
My Carrier: Three Mobile

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Kudos to you flackery! Thanks, that worked Smiley Happy

Contributor
Posts: 32
Registered: ‎12-08-2010
My Device: Not Specified

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

I can't get it to work. I created a new mobile air project, added the qnx and blackberry swcs but my app still doesn't compile (it worked fine with flash builder 4 and 1.02).

 

I get the following errors:

Access of undefined property PropertyChangeEvent

Definition mx.binding:BindingManager could not be found

 

But these errors don't appear in the code - just at the top of my files. And the crazy part is that I'm not using those things - there is no PropertyChangeEvent or BindingManager in my code.

Contributor
Posts: 32
Registered: ‎12-08-2010
My Device: Not Specified

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Ok my bad. I was using the [Bindable] keyword.

New Developer
Posts: 48
Registered: ‎06-26-2011
My Device: Blackberry Playbook
My Carrier: none

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

[ Edited ]

Has anybody tried to set rendermode to gpu?

 

It seems to be ignored and everytime I get cpu mode - no matter if I set cpu, gpu or auto.

 

It was working with previous sdk but apllication crashed everytime when I switched applications (was ok only in showcase mode). Now it looks like they disabled this option completely :/

 

Sorry, I've found different topic on this - http://supportforums.blackberry.com/t5/Tablet-OS-SDK-for-Adobe-AIR/GPU-Mode-crippled-with-AIR-2-7/td...

Contributor
Posts: 12
Registered: ‎01-12-2011
My Device: Playbook

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Yes. I have noticed the same thing. Also apps did crash for me as well when switching to another app when gpu was used with OS prior to 1.0.6
New Developer
Posts: 13
Registered: ‎07-11-2011
My Device: Playbook
My Carrier: Developer

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Hi

 

I have download updated SDK, but i try install the SDK but i can not instaled the SDK its show error the directory.

Can you explain me why?i try the old sdk its work, i use the Flash Builder 4.5

 

Thanks Smiley Happy